<?php

/* AntiSpamSimple : Fichier ASS_genereimage.php
 *
 * Code		: PHP4 / 5
 * Version	: 0.1-20071223
 * Date		: 2007-12-23
 * Contact      : Francis Hulin-Hubard <fhh@fhuhu.com>
 * Page		: http://www.spip-contrib.net/ASS-Anti-Spam-Simple
 * Licence	: GPL
 *
 * Description	:
 * Fichier de creation des images des adresses e-mails.
 *
 * Changelog	:
 * 0.1-20071223 : Changements mineurs pour la compatibilite EasyPHP.
 *			Retrait d'accents dans les commentaires.
 * 0.1-20070426 : Version Originale. Premiere diffusee.
 *
 */

include("ASS_options.php") ;

$texte=base64_decode($_GET['texte']) ;

$Largeur=imagefontwidth($SizePolice)*strlen($texte)+$HSpace ;
$Hauteur=imagefontheight($SizePolice)+$VSpace ;

$image = imagecreate($Largeur,$Hauteur) ;

if($transparent)
	if ( $CouleurTexteRGB[0] + 10 > 255 )
		$CouleurFond = imagecolorallocate($image, $CouleurTexteRGB[0]-10, $CouleurTexteRGB[1], $CouleurTexteRGB[2] );
	else $CouleurFond = imagecolorallocate($image, $CouleurTexteRGB[0]+10, $CouleurTexteRGB[1], $CouleurTexteRGB[2] );
else
	$CouleurFond = imagecolorallocate($image, $CouleurFondRGB[0], $CouleurFondRGB[1], $CouleurFondRGB[2] );
$CouleurTexte = imagecolorallocate($image, $CouleurTexteRGB[0], $CouleurTexteRGB[1], $CouleurTexteRGB[2] );

// Activation de la transparance
if ($transparent) imagecolortransparent($image, $CouleurFond) ;

imagestring($image, $SizePolice, $HSpace/2, $VSpace/2, $texte, $CouleurTexte) ;

header("Content-type: image/png");

imagepng($image);

?>