// AntiSpamSimple : Fichier ASS_fonctions.php
//
// Code		: PHP4 / 5
// Version	: 0.1-20071223
// Date		: 2007-12-23
// Contact      : Francis Hulin-Hubard <fhh@fhuhu.com>
// Page		: http://www.spip-contrib.net/ASS-Anti-Spam-Simple
// Licence	: GPL
//
// Description	:
// Fichier des fonctions du plugin.
//
// Changelog	:
// 0.1-20071223 : Changements mineurs pour la compatibilite EasyPHP.
//			Retrait d'accents dans les commentaires.
// 0.1-20070426 : Version Originale. Premiere diffusee.
//

var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
 
function ASS_Decode(input) {
   var output = "" ;
   var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
   var i = 0;
 
   // remove all characters that are not A-Z, a-z, 0-9, +, /, or =
   input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
 
   do {
      enc1 = keyStr.indexOf(input.charAt(i++));
      enc2 = keyStr.indexOf(input.charAt(i++));
      enc3 = keyStr.indexOf(input.charAt(i++));
      enc4 = keyStr.indexOf(input.charAt(i++));
 
      chr1 = (enc1 << 2) | (enc2 >> 4);
      chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
      chr3 = ((enc3 & 3) << 6) | enc4;
 
      output = output + String.fromCharCode(chr1);
 
      if (enc3 != 64) {
         output = output + String.fromCharCode(chr2);
      }
      if (enc4 != 64) {
         output = output + String.fromCharCode(chr3);
      }
   } while (i < input.length);
 
   return output;
}

function ASS_Decoder(test) {
        parent.location=ASS_Decode(test) ;
        return true ;
}

